From 60958b819e62ff55458b809aceb2c7d7de929843 Mon Sep 17 00:00:00 2001
From: U-ACER-1424F82190\raiska <raiska@acer-1424f82190.(none)>
Date: Fri, 29 Aug 2008 20:00:41 +0300
Subject: [PATCH] Mouse selection

---
 src/libvlc-module.c |   29 ++++++++++++++++++++++-------
 1 files changed, 22 insertions(+), 7 deletions(-)

diff --git a/src/libvlc-module.c b/src/libvlc-module.c
index 7498794..ec5143e 100644
--- a/src/libvlc-module.c
+++ b/src/libvlc-module.c
@@ -419,6 +419,16 @@ static const char *const ppsz_align_descriptions[] =
     "Hide mouse cursor and fullscreen controller after " \
     "n miliseconds, default is 3000 ms (3 sec.)")
 
+#define DISABLE_DOUBLE_CLICK_FULLSCREEN_TEXT N_("Disable double click " \
+		                                        "fullscreen")
+#define DISABLE_DOUBLE_CLICK_FULLSCREEN_LONGTEXT N_( \
+		"Double clicking video won't start fullscreen mode.")
+
+#define DISABLE_SECONDARY_CLICK_MENU_TEXT N_("Disable secondary click " \
+		                                     "video menu")
+#define DISABLE_SECONDARY_CLICK_MENU_LONGTEXT N_( \
+		"Secondary clicking video won't show video menu.")
+
 static const int pi_pos_values[] = { 0, 1, 2, 4, 8, 5, 6, 9, 10 };
 static const char *const ppsz_pos_descriptions[] =
 { N_("Center"), N_("Left"), N_("Right"), N_("Top"), N_("Bottom"),
@@ -1518,6 +1528,11 @@ vlc_module_begin();
     // autohide after 1.5s
     add_integer( "mouse-hide-timeout", 1500, NULL, MOUSE_HIDE_TIMEOUT_TEXT,
                  MOUSE_HIDE_TIMEOUT_LONGTEXT, false );
+    // prevent doubleclick fullscreen and secondary click menu
+    add_bool( "disable-dclick-fs", 0, NULL, DISABLE_DOUBLE_CLICK_FULLSCREEN_TEXT,
+    		DISABLE_DOUBLE_CLICK_FULLSCREEN_LONGTEXT, false );
+    add_bool( "disable-sclick-menu", 0, NULL, DISABLE_SECONDARY_CLICK_MENU_TEXT,
+    		DISABLE_SECONDARY_CLICK_MENU_LONGTEXT, false );
     set_section( N_("Snapshot") , NULL );
     add_directory( "snapshot-path", NULL, NULL, SNAP_PATH_TEXT,
                    SNAP_PATH_LONGTEXT, false );
@@ -2095,7 +2110,7 @@ vlc_module_begin();
 #   define KEY_UNCROP_RIGHT       KEY_MODIFIER_ALT|KEY_MODIFIER_SHIFT|'l'
 
 /* the macosx-interface already has bindings */
-#   define KEY_ZOOM_QUARTER       KEY_UNSET 
+#   define KEY_ZOOM_QUARTER       KEY_UNSET
 #   define KEY_ZOOM_HALF          KEY_UNSET
 #   define KEY_ZOOM_ORIGINAL      KEY_UNSET
 #   define KEY_ZOOM_DOUBLE        KEY_UNSET
@@ -2383,15 +2398,15 @@ vlc_module_begin();
              LOOP_KEY_TEXT, LOOP_KEY_LONGTEXT, false );
 
     set_section ( N_("Zoom" ), NULL );
-    add_key( "key-zoom-quarter",  KEY_ZOOM_QUARTER, NULL, 
+    add_key( "key-zoom-quarter",  KEY_ZOOM_QUARTER, NULL,
         ZOOM_QUARTER_KEY_TEXT,  NULL, false );
-    add_key( "key-zoom-half",     KEY_ZOOM_HALF, NULL, 
+    add_key( "key-zoom-half",     KEY_ZOOM_HALF, NULL,
         ZOOM_HALF_KEY_TEXT,     NULL, false );
-    add_key( "key-zoom-original", KEY_ZOOM_ORIGINAL, NULL, 
+    add_key( "key-zoom-original", KEY_ZOOM_ORIGINAL, NULL,
         ZOOM_ORIGINAL_KEY_TEXT, NULL, false );
-    add_key( "key-zoom-double",   KEY_ZOOM_DOUBLE, NULL, 
+    add_key( "key-zoom-double",   KEY_ZOOM_DOUBLE, NULL,
         ZOOM_DOUBLE_KEY_TEXT,   NULL, false );
-    
+
     set_section ( N_("Jump sizes" ), NULL );
     add_integer( "extrashort-jump-size", 3, NULL, JIEXTRASHORT_TEXT,
                                     JIEXTRASHORT_LONGTEXT, false );
@@ -2497,7 +2512,7 @@ vlc_module_begin();
     N_("resets the current plugins cache")
 #define VERSION_TEXT \
     N_("print version information")
- 
+
     add_bool( "help", false, NULL, HELP_TEXT, "", false );
         change_short( 'h' );
         change_internal();
-- 
1.5.6.4

